Kerbal Space Program - Bug #1665

Kerbal doesn't grab the command module hatch when grab is displayed, and shoots into space
instead.

11/03/2013 04:29 AM - Dre4dWO0rm

Status: Closed Start date: 11/03/2013
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.22 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

| took my kerbal into EVA for a walk in space. Hit R to enable thrusters, move around a bit, and then tried to go back. At this point,
when hitting F when [grab] is displayed, kerbal bumps off the module, and shoots into space. Had to hit R again to regain control, but
whenever | repeated maneuver, it ends up the same.

History

#1 - 11/07/2013 05:34 AM - Ruedii

| had the same issue on Linux.
It seems to happen only about 50% of the time with me, but maybe it's just the way | handle the controls.

| suspect that the Kerbal pulls into position over the ladder too quickly, and their momentum causes them to loose their grip to fling into space. No
doubt this is an unintended adverse affect of removing the bug where Kerbals could hang onto a ladder through anything.

#2 - 04/30/2014 04:07 PM - AlphaSheep

I think I've managed to figure out exactly what causes it. | recorded a video to show what's happening: http://youtu.be/8ZcuBp-x7xU

It seems to happen only if the command module faces due South, which is down relative to the camera, since the camera orients itself with the
North/South axis of the body being orbited. This happens to be the direction it faces if you launch into an equatorial orbit without ever rolling.

For the record, I'm using KSP 0.23.5.0 on Linux Mint 16.

#3 - 05/01/2014 07:23 AM - AlphaSheep

This bug is specific to the Orbital camera view. Pressing [V] to change to Chase or Free camera mode allows you to align the Kerbal with the
command module hatch, which allows the Kerbal to enter the module.

| still think this is a bug though, because it shouldn't be necessary to change camera modes to do such a basic task.
| think the fix is relatively easy. When a Kerbal is in orbit on EVA, the default camera mode should be the chase camera, not the orbital camera.

#4 - 10/09/2014 12:21 AM - RedPine

Still an issue in 0.25, thanks for telling me how to change camera modes guys.

#5 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#6 - 07/17/2016 09:30 AM - TriggerAu

- Status changed from New to Needs Clarification

#7 - 08/08/2016 12:39 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
http://youtu.be/8ZcuBp-x7xU

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
